Get Stats
Get statistics and account information for the API key
Endpoint
GET https://api.captcha.fun/v1/statsRequest Headers
| Header | Type | Required | Description |
|---|---|---|---|
API_KEY | string | Yes | Your API key |
Response Fields
| Field | Type | Description |
|---|---|---|
credits | integer | Remaining credits on the account |
success | integer | Number of successful solves |
failures | integer | Number of failed solves |
Request Example
curl -X GET https://api.captcha.fun/v1/stats \
-H "API_KEY: CAPFUN-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"import requests
response = requests.get(
"https://api.captcha.fun/v1/stats",
headers={
"API_KEY": "CAPFUN-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
)
print(response.json())const response = await fetch("https://api.captcha.fun/v1/stats", {
method: "GET",
headers: {
"API_KEY": "CAPFUN-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
});
const data = await response.json();
console.log(data);package main
import (
"encoding/json"
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.captcha.fun/v1/stats", nil)
req.Header.Set("API_KEY", "CAPFUN-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
var result map[string]interface{}
json.NewDecoder(resp.Body).Decode(&result)
fmt.Println(result)
}import java.net.http.*;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.captcha.fun/v1/stats"))
.header("API_KEY", "CAPFUN-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}using System.Net.Http;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("API_KEY", "CAPFUN-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");
var response = await client.GetAsync("https://api.captcha.fun/v1/stats");
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);Response
{"credits": 100000,"success": 10000,"failures": 20}{"message": "API_KEY Header Missing"}
Captcha.fun